Skip to main content
Version: 5.3

Retrieving the List of Required apps and binaries

GET /app/list

Retrieve a list of all required apps and binaries:

curl -k -XGET https://<SBM_HOST>:7767/app/list

Header Input Parameters

NameTypeDescription
ClientIPstringIP address of the host sending the request

Body Input Parameters

NameTypeDescription
ipstringIP address of the host sending the request
dnsstringDNS of the host sending the request
hostnamestringHostname of the host sending the request
systemstringOperating system of the host sending the request
guidstringUnique identifier of Smart Beat sending the request

Output Parameters

Two arrays of objects in JSON format.

Each object contains the following parameters:

NameTypeDescription
appstringapp/binary name
hashstringSHA256 checksum of archive with app/binary
pathstringUnpack path for app/binary on host
existboolapp/binary presence status on Smart Beat Manager
Important

If exist=false, unpack path and checksum are empty.

Supported Errors

StatusError contentError description
400<syntax error>Syntax error in body
400Wrong json fieldsWrong field name or missing required field
500<response write error>Internal Smart Beat Manager error
400No groups, apps or binaries with data in bodyNo Smart Beat data in groups

Examples

Example input parameters:

{
"ip": "133.133.133.133",
"dns": "google",
"hostname": "coolHost",
"system": "windows-amd64",
"guid": "1231"
}

Example output parameters:

{
"apps": [
{
"app": "filebeat",
"hash": "e19832acb3f21ec9d156f760cffb71cdda08a6e42ae5f202fbb997136f663a87",
"path": "./config/apps",
"exist": true
},
{
"app": "metricbeat",
"hash": "f16090242040ef6e8fd15eff5cb844753960239dc889026ca0fdbb503b9618c1",
"path": "./config/apps",
"exist": true
}
],
"binaries": [
{
"app": "filebeat-oss-7.10.2-linux-x86_64.tar.gz",
"hash": "d8191733ef9e6705b317be2b1cbb2ab0538779b7ff059fdba88d036c447a0123",
"path": "./bin",
"exist": true
}
]
}